> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NVR details

> Get hardware details of multiple NVRs



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/relay/getDetails
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/relay/getDetails:
    post:
      tags:
        - Relay Webservice
      summary: Get NVR details
      description: Get hardware details of multiple NVRs
      operationId: getNVRDetails
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Relay_GetNVRDetailsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Relay_GetNVRDetailsWSResponse'
          description: OK
components:
  schemas:
    Relay_GetNVRDetailsWSRequest:
      type: object
      description: Request object for getting details for specified NVRs.
      properties:
        nvruuids:
          type: array
          description: List of NVR UUIDs to get details for
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
    Relay_GetNVRDetailsWSResponse:
      type: object
      description: Response object containing details for specified NVRs.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        nvrs:
          type: array
          description: List of NVR details for the specified NVRs
          items:
            $ref: '#/components/schemas/Relay_NVRExternalType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Relay_NVRExternalType:
      type: object
      description: External NVR type.
      properties:
        archiveRegion:
          type: string
          nullable: true
        cameraFramerate:
          type: integer
          format: int32
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        customData:
          type: string
          nullable: true
        deleted:
          type: boolean
          nullable: true
        description:
          type: string
          nullable: true
        deviceFacetRadians:
          type: object
          additionalProperties:
            type: number
            format: float
            nullable: true
          nullable: true
        directionRadians:
          type: number
          format: float
          nullable: true
        facetNameMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        floorNumber:
          type: integer
          format: int32
          nullable: true
        hwVariation:
          $ref: '#/components/schemas/HardwareVariationEnum'
        latitude:
          type: number
          format: double
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        mediaStorageDeviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        mummified:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        pending:
          type: boolean
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        primaryLinkSpeedMbps:
          type: integer
          format: int32
          nullable: true
        secondaryLinkSpeedMbps:
          type: integer
          format: int32
          nullable: true
        serialNumber:
          type: string
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        totalStreamingPixels:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/DeviceTypeEnum'
        unregisteredEmailSent:
          type: boolean
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````